<?php

namespace Drupal\beehotel_pricealterator;

use Drupal\Core\Session\AccountInterface;

/**
 * Class PriceAlteratorBaseTable.
 *
 * @package Drupal\beehotel_pricealterator\Services
 */
class PreAlteration {

  /**
   * The current user.
   *
   * @var \Drupal\Core\Session\AccountInterface
   */
  protected $currentUser;

  /**
   * A construct method for the PreAlter class.
   *
   * @param \Drupal\Core\Session\AccountInterface $currentUser
   *   Current user.
   */
  public function __construct(AccountInterface $currentUser) {
    $this->currentUser = $currentUser;
  }

  /**
   * Get the Price Basetable.
   *
   * @return array
   *   an arry containing the price base table
   */
  public function baseTable() {

    $module_handler = \Drupal::moduleHandler();

    // Get base table from alterators container module.
    $basetable = $module_handler->invokeAll('beehotel_pricealterator_base_table', [[]]);

    if (!isset($basetable)) {
      dump("\$basetable is required. Is at least beehotel_pricealterators_beehotel_pricealterator_base_table running");
      exit;
    }

    return $basetable;
  }

}
