<?php

namespace Drupal\bee_hotel\EventSubscriber;

use Drupal\bee_hotel\Util\Event;
use Drupal\commerce_order\Event\OrderItemEvent;
use Drupal\commerce_order\Event\OrderEvents;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Class EntityTypeSubscriber.
 *
 * @package Drupal\bee_hotel\EventSubscriber
 */
class DeleteOrderItemsSubscriber implements EventSubscriberInterface {

  /**
   * The Bat Event Utility.
   *
   * @var Drupal\bee_hotel\Util\Event
   */
  protected $beehotelEvent;

  /**
   * Constructs a new DeleteOrderItemsSubscriber object.
   *
   * @param \Drupal\bee_hotel\Util\Event $beehotelEvent
   *   The BEE Hotel Event.
   */
  public function __construct(Event $beehotelEvent) {
    $this->beehotel_event = $beehotelEvent;
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    return [
      OrderEvents::ORDER_ITEM_DELETE => ['onOrderItemDelete'],
    ];
  }

  /**
   * Removes bat event when te order item is deleted.
   *
   * @param Drupal\commerce_order\Event\OrderItemEvent $event
   *   The cart event.
   */
  public function onOrderItemDelete(OrderItemEvent $event) {}

}
